# Events

{% hint style="danger" %}
Here you can find helpful events for the script.
{% endhint %}

## *Open Menu*

{% hint style="info" %}
The script checks if the player has a matching job. \
So it does not need to be checked by you.
{% endhint %}

{% code title="On client side:" overflow="wrap" lineNumbers="true" %}

```lua
TriggerEvent("emergencyPhone:openMenu")
```

{% endcode %}

{% code title="On server side:" overflow="wrap" lineNumbers="true" %}

```lua
TriggerClientEvent("emergencyPhone:openMenu", src)
```

{% endcode %}

\ <br>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.gpscripts.dev/emergencyphone/developer/events.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
